## sortmail 2.4

=== Makefile ===
# @(#)Makefile 1.12 02/03/11 falk
# $Id: Makefile,v 1.9 2003/12/22 06:03:14 efalk Exp $

# define NOSTRDUP if your system doesn't have strdup(3)
# define NOREGCOMP if your system doesn't have regcomp(3)
#
# Note: GNU regex is provided for systems that don't have the regex(3)
# interface.  If you don't have regex(3), set REGEX = regex.c below

#DBG = -g -DDEBUG -Wall
DBG = -O

# SunOS 4.x
#CFLAGS = ${DBG} -DBSD -DSUNOS
#LDFLAGS = -n -Bdynamic -s

# Solaris
# CFLAGS = ${DBG} -DSOLARIS
# LDFLAGS = -lxnet -lresolv

# Linux
CFLAGS = ${DBG} -DLINUX -I/usr/include/gdbm
LDFLAGS = -lgdbm

# Ultrix
#CFLAGS = ${DBG} -DULTRIX
#LDFLAGS =
#REGEX = regex.c

# HPUX 9.0
#CFLAGS = ${DBG} -DHPUX
#LDFLAGS = -n -s
#REGEX = regex.c


# ---------------------------------------------------------------------------
# Destination for make install:
#
# Note: version number in Makefile, INSTALL, sortmail.c, sortmail.lsm,
# sortmail.spec

VERSION = 2.4
prefix = /usr/local
bindir = $(prefix)/bin
docdir = $(prefix)/doc/sortmail-$(VERSION)
mandir = $(prefix)/man
man1dir = $(prefix)/man/man1

#CC = gcc

all: sortmail

SRCS = sortmail.c parse.c expr.c crctab.c pop2.c pop3.c imap.c \
	md5c.c netutils.c utils.c locking.c $(REGEX)

HDRS = config.h crctab.h imap.h locking.h md5.h md5global.h netutils.h \
	pop2.h pop3.h regex.h sortmail.h utils.h

OBJS = $(SRCS:.c=.o)

DOC = README sortmail.1 sample.forward sample.sortmailrc

$(OBJS): $(HDRS)

sortmail: $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(OBJS) $(LIB)

tags: $(HDRS) $(SRCS)
	ctags *.[ch]

archive: Makefile $(HDRS) $(SRCS) $(DOC)
	shar $(DOC) Makefile $(HDRS) $(SRCS) > archive

clean:
	rm -f *.o *.i archive foo bar core tags

clobber: clean
	rm -f sortmail


sortmail.o:	sortmail.h config.h  pop2.h pop3.h locking.h utils.h crctab.h
parse.o:	sortmail.h config.h  utils.h
expr.o:		sortmail.h config.h  utils.h
pop2.o:		sortmail.h config.h  netutils.h pop2.h utils.h
pop3.o:		sortmail.h config.h  netutils.h pop3.h utils.h md5global.h md5.h
netutils.o:	sortmail.h config.h  netutils.h
utils.o:	sortmail.h config.h utils.h
locking.o:	sortmail.h config.h locking.h
md5c.o:		md5global.h md5.h


DESTDIRS = $(bindir) $(man1dir) $(docdir)

DOCFILES = LICENSE README sample.forward sample.sortmailrc sortmail.lsm \
	sortmailrc.pop sortmailrc.sample sortmailrc.spam


# Install sortmail

install: sortmail $(DESTDIRS)
	install -s sortmail $(bindir)
	install -m 0444 sortmail.1 $(man1dir)
	install -m 0444 $(DOCFILES) $(docdir)

$(DESTDIRS):
	mkdir -p $@




# Build distribution tarfile.

DIST_NAME = sortmail-$(VERSION)
DIST_DIR = /tmp/$(DIST_NAME)
DIST_FILES = $(SRCS) $(HDRS) Makefile sortmail.lsm sortmail.1 \
	$(DOCFILES) sortmail.spec

dist:	clobber $(DIST_FILES)
	rm -rf $(DIST_DIR)
	mkdir $(DIST_DIR)
	cp -pr $(DIST_FILES) $(DIST_DIR)
	chmod -R a+r $(DIST_DIR)
	chmod -R u+w $(DIST_DIR)
	chmod -R go-w $(DIST_DIR)
	cd $(DIST_DIR)/.. ; tar cvf $(DIST_NAME).tar $(DIST_NAME)
	mv $(DIST_DIR).tar .
	gzip $(DIST_NAME).tar
	rm -rf $(DIST_DIR)

depend:
	makedepend -- $(CFLAGS) -- $(SRCS)

=== debian/changelog ===
sortmail (1:2.4-5build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:03:27 +1100

sortmail (1:2.4-5build1) noble; urgency=high

  * No change rebuild against libgdbm-compat4t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:55:24 +0100

sortmail (1:2.4-5) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 23 Aug 2021 21:01:44 -0300

sortmail (1:2.4-4) experimental; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/clean: created to allow sortmail build twice.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.1.
      - Improved long description.
      - Migrated Vcs-* to Salsa.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all data.
  * debian/patches:
      - Added a numeric prefix to all patch names.
      - 040_fix-manpage.patch: created to fix some issues in manpage.
      - 050_improve-GCC-hardening.patch: created do improve the GCC hardening.
  * debian/rules:
      - Added the DEB_BUILD_MAINT_OPTIONS variable to improve the GCC hardening.
      - Removed the --parallel option from dh because it is the default option
        since DH 10.
      - Removed useless "/bin/true".
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/sortmail.dirs: not needed. Removed.
  * debian/tests/control: created to provide trivial CI tests.
  * debian/upstream/metadata: created.
  * debian/watch: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 08 Jul 2021 19:51:55 -0300

sortmail (1:2.4-3) unstable; urgency=medium

  * QA upload.
  * Use the compat gdbm package (Closes: #888753)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2018 14:35:23 +0100

sortmail (1:2.4-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to QA team (see #790732).
  * Switch to source format 3.0 (quilt).
  * Modernise d/rules:
    - Bump debhelper compat & build dependency to 9 (Closes: #817673).
    - Use dh sequencer, overriding dh_auto_install.
    - Enable --parallel.
    - Add ${misc:Depends} to bin:sortmail dependencies.
    - Add d/examples.
    - Add d/docs.
    - Add d/install.
    - Add d/manpages (Closes: #593763).
  * Apply patch from Mathias Klose to fix build with ld --as-needed
    (Closes: #641440).
  * Add enable-debugging-symbols.patch so dh_strip can generate sortmail-dbgsym.
  * Remove article from description synopsis.
  * Add Vcs-* fields pointing to collab-maint.
  * Add Homepage: field.
  * Declare compliance with policy version 3.9.8.
    - Re-encode d/copyright as UTF-8.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 20 Jun 2016 11:32:51 +0900

sortmail (1:2.4-1) unstable; urgency=low

  * New upstream release (after 12 years!)

 -- Hamish Moffatt <hamish@debian.org>  Thu,  8 Jan 2004 23:20:00 +1100

sortmail (19910421-10) unstable; urgency=low

  * Changed priority from extra to optional
  * Applied patch from Joern "Wulf" Heissler to use <stdarg.h>
    instead of <varargs.h> so sortmail would compile with gcc-3.3
    (closes: #195038)
  * Upgrade to debhelper 4

 -- Hamish Moffatt <hamish@debian.org>  Fri, 11 Jul 2003 00:04:03 +1000

sortmail (19910421-9) unstable; urgency=low

  * Fixed default mail spool path; should be /var/mail,
    not /var/spool/mail

 -- Hamish Moffatt <hamish@debian.org>  Wed, 16 Jan 2002 08:22:33 +1100

sortmail (19910421-8) unstable; urgency=low

  * Applied patch to included prototypes for all functions
    that return 64-bit integers. Thanks to John R. Daily
    (closes: #126741)
  * Fixed default mail spool path in /usr/bin/sortmail and
    sortmail(1) (was /usr/spool/mail, now /var/spool/mail).
    Changelog says this was fixed in 1998, wonder what
    happened to that....

 -- Hamish Moffatt <hamish@debian.org>  Sun, 30 Dec 2001 12:15:56 +1100

sortmail (19910421-7) unstable; urgency=low

  * Applied patch to remove use of sys_errlist[] and MAXPATHLEN,
    which don't apply on Hurd. Thanks to Nick Rusnov
    and James Morrison for patches. (closes: #106961, #106964)

 -- Hamish Moffatt <hamish@debian.org>  Sat, 11 Aug 2001 12:21:59 +1000

sortmail (19910421-6) frozen unstable; urgency=low

  * Added header checks for CC and cc (not just Cc) (closes: #105284)
  * Fixed bug in fprintf of error messages when temporary files
    couldn't be created (closes: #43367)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 22 Jul 2001 22:00:14 +1000

sortmail (19910421-5) frozen unstable; urgency=low

  * FHS compliant
  * Converted from debstd to debhelper

 -- Hamish Moffatt <hamish@debian.org>  Fri,  1 Oct 1999 19:20:13 +1000

sortmail (19910421-4) frozen unstable; urgency=low

  * Fixed manual page, which said use "set logfilename=" but should
    have said "set logfile=". Reported by <chandran@c9c1.erols.com>

 -- Hamish Moffatt <hamish@debian.org>  Sat, 21 Nov 1998 15:55:00 +1100

sortmail (19910421-3) frozen unstable; urgency=low

  * Changed default mail spool directory from /usr/spool/mail to
    /var/spool/mail, fixes #28994

 -- Hamish Moffatt <hamish@debian.org>  Sat, 21 Nov 1998 15:42:00 +1100

sortmail (19910421-2) frozen unstable; urgency=low

  * Corrected maintainer email address

 -- Hamish Moffatt <hamish@debian.org>  Tue, 24 Mar 1998 23:30:00 +1100

sortmail (19910421-1) unstable; urgency=low

  * Initial Release.

 -- Hamish Moffatt <hamish@debian.org>  Sun, 23 Nov 1997 21:24:58 +1100

=== debian/control ===
Source: sortmail
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libgdbm-dev, libgdbm-compat-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://sortmail.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/sortmail
Vcs-Git: https://salsa.debian.org/debian/sortmail.git

Package: sortmail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple mail sorter
 Sortmail is a simple mail sorter you can use in your .forward to sort
 your mail into folders automatically, delete unwanted mail, etc.
 .
 Sortmail process incoming email, classify it, and process it accordingly.
 Sortmail can handle incoming email as it arrives, or download from a POP
 server. Sortmail is easier to configure than procmail, and can replace
 fetchmail. Sortmail uses config files which are similar to rn KILLfiles.
 .
 Full features list:
   - Process email delivered via SMPT, or downloaded via POP or IMAP.
   - Post-process an existing mail folder.
   - Select messages based on specific header lines, based on the entire
     header, or even the message body.
   - File messages to folders, send to inbox, forward to other email
     addresses, append to digest, pipe through shell command or just junk
     them.
   - Regular expression matching or IP address range matching.
   - Full boolean expressions of any complexity.
   - Basic mailing-list processing functionality.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:

=== debian/tests/control ===
Test-Command: sortmail -h 2>&1 | egrep -C 20 Usage
Restrictions: superficial

Test-Command: sortmail -v
Restrictions: allow-stderr, superficial

Test-Command: sortmail -verify
Restrictions: superficial

## sortmail 19910421

=== Makefile ===

#DBG = -g -DDEBUG
DBG = -O

# SunOS 4.x
#CFLAGS = ${DBG}
#LDFLAGS = -n -Bdynamic -s

# SunOS 5.x
CFLAGS = ${DBG} -DSVr4
LDFLAGS =

#CC = gcc

SRCS = sortmail.c parse.c regex.c

HDRS = sortmail.h regex.h

OBJS = $(SRCS:.c=.o)

DOC = sortmail.1 sample.forward sample.sortmailrc

sortmail: $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(OBJS) $(LIB)

archive: Makefile $(HDRS) $(SRCS) $(DOC)
	shar $(DOC) Makefile $(HDRS) $(SRCS) > archive

clean:
	-rm *.o archive
